Subject: Re: linux-next: usb tree build failure

From: Greg KH <[email-masked]>
Date: Mon, 22 Dec 2008 20:31:14 -0800

On Mon, Dec 22, 2008 at 03:37:16PM -0800, Inaky Perez-Gonzalez wrote:
> On Monday 22 December 2008, Sam Ravnborg wrote:
> > On Mon, Dec 22, 2008 at 09:26:43AM -0800, Inaky Perez-Gonzalez wrote:
> > > On Sunday 21 December 2008, Sam Ravnborg wrote:
> > > > On Mon, Dec 22, 2008 at 01:42:21PM +1100, Stephen Rothwell wrote:
> > > > > (Just cc'ing Sam)
> > > > >
> > > > > On Sun, 21 Dec 2008 17:31:10 -0800 Greg KH <[email-masked]> wrote:
> > > > > > On Mon, Dec 22, 2008 at 11:33:35AM +1100, Stephen Rothwell wrote:
> > > > > > > Hi Greg,
> > > > > > >
> > > > > > > Today's linux-next build (x86_64 allmodconfig) failed like this:
> > > > > > >
> > > > > > > x86_64-linux-ld: drivers/net/wimax/built-in.o: No such file: No
> > > > > > > such file or directory
> > > > > > >
> ....
> > > > diff --git a/drivers/net/wimax/Makefile b/drivers/net/wimax/Makefile
> > > > new file mode 100644
> > > > index 0000000..bda9430
> > > > --- /dev/null
> > > > +++ b/drivers/net/wimax/Makefile
> > > > @@ -0,0 +1,2 @@
> > > > +
> > > > +obj-$(CONFIG_WIMAX_I2400M)	+= i2400m/
> > > >
> > > >
> > > >
> > > > But the problem here is that because we do not even pretend to
> > > > build some files in this dir thus kbuild does not create build-in.o
> > > >
> > > > The fix is a bit ugly but simple. Add a dummy statement to
> > > > the drivers/net/wimax/Makefile like this:
> > > >
> > > > # force kbuild to create built-in.o
> > > > obj- := dummy.o
> > >
> > > ops -- ok, I will. I guess I have to add this in all the similar ones,
> > > right?
> >
> > You need this in all cases where you have a Makefile that
> > only specify sub directories. I assume thilinux-wimax.git/s is the only 
> Makefile
> > where you have this.
> 
> It is -- I've been trying to reproduce it in the current tree I had and I 
> can't get to do it. In any case, I'll leave the workaround in.

Delete all .o files you have in that directory, and any .* files as
well.  Odds are you had files left over from previous development.  I
ran into this problem in the staging tree as well.

thanks,

greg k-h